<?php
function ukgigs_map($postcode)
{
    global $pref;
    $retval = "";
    $postcode = strtolower($postcode);
    if (!empty($postcode))
    {
        switch ($pref['ukgigs_mapmaker'])
        {
            case 1: // multimap
                // this map requires the space to be removed
                $postcode = str_replace(" ", "" , $postcode);
                $retval = str_replace("#postcode#", $postcode, "http://multimap.co.uk/map/browse.cgi?client=public&db=pc&cidr_client=none&lang=&pc=#postcode#&advanced=&client=public&addr2=&quicksearch=#postcode#&addr3=&addr1=");
                break;
            case 2: // streetmap uk
                // This map requires the space before the last three characters to be a +
                $postcode = str_replace(" ", "" , $postcode); // get rid of space
                $postcodelen = strlen($postcode) ;
                $postcoderight = substr($postcode, -3, 3);
                $postcodeleft = substr($postcode, 0, $postcodelen-3);
                $postcode = $postcodeleft . "+" . $postcoderight;
                $retval = str_replace("#postcode#", $postcode, "http://www.streetmap.co.uk/streetmap.dll?postcode2map?#postcode#");
                break;
            case 3: // mapquest
                // This map requires the space before the last three characters to be a +
                $postcode = str_replace(" ", "" , $postcode); // get rid of space
                $postcodelen = strlen($postcode) ;
                $postcoderight = substr($postcode, -3, 3);
                $postcodeleft = substr($postcode, 0, $postcodelen-3);
                $postcode = $postcodeleft . "+" . $postcoderight;
                $retval = "http://mapquest.co.uk/mq/maps/linkToMap.do?Postcode=$postcode&country=GB&cid=lfmaplink";
                break;
            default :
                $retval = "";
        } // switch
    }
    return $retval;
}

function ukgig_makedate($ukgig_date)
{
    global $pref;
    if ($ukgig_date > 0)
    {
        switch ($pref['ukgigs_dateformat'])
        {
            case 1:
                $ukgig_retval = date("m-d-Y", $ukgig_date);
                break;
            case 2:
                $ukgig_retval = date("Y-m-d", $ukgig_date);
                break;
            case 0:
            default:
                $ukgig_retval = date("d-m-Y", $ukgig_date);
        } // switch
    }
    else
    {
        $ukgig_retval = 0;
    }
    return $ukgig_retval;
}
function ukgig_indate($ukgig_date)
{
    global $pref;
    if (!empty($ukgig_date))
    {
        $ukgigs_tmp = explode("-", $ukgig_date);
        switch ($pref['ukgigs_dateformat'])
        {
            case 1:
                $ukgigs_retval = mktime(0, 0, 0, $ukgigs_tmp[0], $ukgigs_tmp[1], $ukgigs_tmp[2]);
                break;
            case 2:
                $ukgigs_retval = mktime(0, 0, 0, $ukgigs_tmp[1], $ukgigs_tmp[2], $ukgigs_tmp[0]);
                break;
            case 0:
            default:
                $ukgigs_retval = mktime(0, 0, 0, $ukgigs_tmp[1], $ukgigs_tmp[0], $ukgigs_tmp[2]);
        } // switch
    }
    else
    {
        $ukgigs_retval = 0;
    }
    return $ukgigs_retval;
}

?>