<?php

// Plugin info -------------------------------------------------------------------------------------------------------
$eplug_name = "UK Events Guide";
$eplug_version = "1.7";
$eplug_author = "Barry";
$eplug_url = "http://www.keal.me.uk";
$eplug_email = "";
$eplug_description = "This plugin allows you to manage your gigs and other events.";
$eplug_compatible = "e107v7";
$eplug_readme = "readme.pdf";        // leave blank if no readme file
$eplug_compliant=true;
$eplug_status = TRUE;
$eplug_latest = TRUE;

// Name of the plugin's folder -------------------------------------------------------------------------------------
$eplug_folder = "uk_gigs_menu";

// Mane of menu item for plugin ----------------------------------------------------------------------------------
$eplug_menu_name = "Gig Guide";

// Name of the admin configuration file --------------------------------------------------------------------------
$eplug_conffile = "admin_config.php";

// Icon image and caption text ------------------------------------------------------------------------------------
$eplug_icon = $eplug_folder."/images/ukgig_32.png";
$eplug_icon_small = $eplug_folder."/images/ukgig_16.png";
$eplug_caption =  "Configure your events guide plugin";

// List of preferences -----------------------------------------------------------------------------------------------
$eplug_prefs = array(
        "ukgigs_menutitle" =>"Gig Guide",
        "ukgigs_readclass" =>0,
        "ukgigs_submitclass" =>0,
        "ukgigs_perpage" =>5,
        "ukgigs_inmenu" =>5,
        "ukgigs_autoex" =>0,
        "ukgigs_mapmaker" =>0,
        "ukgigs_metadesc" =>"Father Barry's Gig Guide plugin from the Father Barry Keal web site www.keal.me.uk",
        "ukgigs_metakey" =>"Father Barry,keal,e107 gig guide",
        "ukgigs_dateorder"=>"desc",
        "ukgigs_dateformat"=>0

);

// List of table names -----------------------------------------------------------------------------------------------
$eplug_table_names = array("uk_gig_gigs","uk_gig_venues","uk_gig_cat");

// List of sql requests to create tables -----------------------------------------------------------------------------
$eplug_tables = array("
CREATE TABLE ".MPREFIX."uk_gig_gigs (
  uk_gig_id int(10) unsigned not null AUTO_INCREMENT,
  uk_gig_date int(10) unsigned not null default 0,
  uk_gig_time varchar(5) not null default '00:00',
  uk_gig_name varchar(50) not null ,
  uk_gig_venue int(10) unsigned not null default 0,
  uk_gig_cover_price varchar(25) null,
  uk_gig_concession tinyint(1) unsigned not null default 0,
  uk_gig_poster varchar(100) null,
  uk_gig_details text null,
  uk_gig_approve tinyint(1) unsigned not null default 0,
  uk_gig_pic varchar(50) not null,
  uk_gig_thumb varchar(50) not null ,
  uk_gig_end int(10) unsigned default 0 not null,
  uk_gig_category int(10) unsigned default 0 not null,
  uk_gig_posted int(10) unsigned default 0 not null,
  uk_gig_ticketsfrom varchar(100) null default '',
  uk_gig_bandurl varchar(200) not null default '',
  PRIMARY KEY (uk_gig_id)
  ) TYPE=MyISAM;",
  "CREATE TABLE ".MPREFIX."uk_gig_venues (
  uk_gig_venues_id int(10) unsigned not null auto_increment,
  uk_gig_venues_name VARCHAR(50) default NULL,
  uk_gig_venues_address VARCHAR(150) default NULL,
  uk_gig_venues_postcode VARCHAR(10) default NULL,
  uk_gig_venues_mapurl VARCHAR(250) default NULL,
  uk_gig_venues_phone VARCHAR(25) default NULL,
  uk_gig_venues_access tinyint(1) unsigned default 1 not null,
  PRIMARY KEY  (uk_gig_venues_id)
  ) TYPE=MyISAM;",
  "CREATE TABLE ".MPREFIX."uk_gig_cat (
  uk_gig_cat_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  uk_gig_cat_name VARCHAR (25),
  uk_gig_cat_desc TEXT,
  uk_gig_cat_readclass INT (10) UNSIGNED DEFAULT '0' NOT NULL,
  uk_gig_cat_logo VARCHAR (50) null,
  PRIMARY KEY(uk_gig_cat_id)
  ) TYPE=MyISAM;");

// Create a link in main menu (yes=TRUE, no=FALSE) -------------------------------------------------------------
$eplug_link = TRUE;
$eplug_link_name = "Gig Guide";
$eplug_link_url = e_PLUGIN."uk_gigs_menu/ukgigs.php";

// Text to display after plugin successfully installed ------------------------------------------------------------------
$eplug_done = "Installation Successful..";

// upgrading ... //

$upgrade_add_prefs = "";

$upgrade_remove_prefs = "";
$upgrade_alter_tables = "";
$eplug_upgrade_done = "Plugin Upgraded";

?>
